Repository 32bit  Forum
Repository 64bit  Wiki

Slackyd - Slacky downloader [DEAD]

Forum dedicato alla programmazione.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il linguaggio di programmazione usato.
2) Se possibile portare un esempio del risultato atteso.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Re: Slackyd - Slacky downloader

Messaggioda Blizzard » mer mar 25, 2009 12:38

Ciao Dani,
ho notato che slackyd non risolve tutte le dipendenze di DVDStyler (dvdstyler) ma non so se sia un problema di slackyd o del file dove prende le dipendenze ecc...
Adesso non so dirti di preciso quali erano perchè avevo fretta e le ho scaricate al volo ma non più di quattro/cinque.

ciao
Gio
Avatar utente
Blizzard
Master
Master
 
Messaggi: 1509
Iscritto il: mar gen 02, 2007 22:53
Nome Cognome: Giovanni Santostefano
Slackware: 12.2
Kernel: 2.6.27.7-smp
Desktop: Fluxbox

Re: Slackyd - Slacky downloader

Messaggioda danix » gio mar 26, 2009 20:41

Esiste un tgz per la 12.1 di slackyd?? Al momento sono sulla 12.2 e non posso ricompilarlo...


let me know :)
Grazie...
Avatar utente
danix
Staff
Staff
 
Messaggi: 3280
Iscritto il: ven ott 27, 2006 18:32
Località: Siderno (RC)
Nome Cognome: Danilo M.
Slackware: 64 14.0
Kernel: 3.2.29
Desktop: fluxbox

Re: Slackyd - Slacky downloader

Messaggioda Dani » ven mar 27, 2009 23:47

Blizzard ha scritto:Ciao Dani,
ho notato che slackyd non risolve tutte le dipendenze di DVDStyler (dvdstyler) ma non so se sia un problema di slackyd o del file dove prende le dipendenze ecc...
Adesso non so dirti di preciso quali erano perchè avevo fretta e le ho scaricate al volo ma non più di quattro/cinque.

Ho provato a scaricare dvdstyler e dipendenze (nel mio caso occorreva solo wxsvg) al volo ma dopo averlo installato è partito senza problemi

danix ha scritto:Esiste un tgz per la 12.1 di slackyd?? Al momento sono sulla 12.2 e non posso ricompilarlo...

Anche io uso una 12.2, comunque il pacchetto per l'ultima stable dovrebbe funzionare anche su una 12.1.
Dani
Linux 3.x
Linux 3.x
 
Messaggi: 1447
Iscritto il: mer apr 26, 2006 0:52
Desktop: gnome
Distribuzione: arch

Re: Slackyd - Slacky downloader

Messaggioda danix » sab mar 28, 2009 9:02

grazie dani, ho trovato una 12.1 e ho ricompilato :)

già che ci sono ti dico anche questa, ieri stavo scaricando wxcam per la 12.2 e mentre mi diceva di quali dipendenze ha bisogno mi ha lanciato un warning riguardante mjpegtools, solo che non l'ha scaricato, gliel'ho dovuto fare scaricare a parte... chissà come mai... :-k
Avatar utente
danix
Staff
Staff
 
Messaggi: 3280
Iscritto il: ven ott 27, 2006 18:32
Località: Siderno (RC)
Nome Cognome: Danilo M.
Slackware: 64 14.0
Kernel: 3.2.29
Desktop: fluxbox

Re: Slackyd - Slacky downloader

Messaggioda Blizzard » sab mar 28, 2009 10:05

Dani ha scritto:
Blizzard ha scritto:Ciao Dani,
ho notato che slackyd non risolve tutte le dipendenze di DVDStyler (dvdstyler) ma non so se sia un problema di slackyd o del file dove prende le dipendenze ecc...
Adesso non so dirti di preciso quali erano perchè avevo fretta e le ho scaricate al volo ma non più di quattro/cinque.

Ho provato a scaricare dvdstyler e dipendenze (nel mio caso occorreva solo wxsvg) al volo ma dopo averlo installato è partito senza problemi

Capito.
A me mancavano praticamente quasi tutte. Le prime due o tre (libmspack, wxwidgets, dvdauthor, ) mi sembra le ho dovute riscaricare.
Ora mi prende il dubbio che ho dato il comando sbagliato magari.
#slackyd -g dvdstyler

è così giusto?

ciao
Gio
Avatar utente
Blizzard
Master
Master
 
Messaggi: 1509
Iscritto il: mar gen 02, 2007 22:53
Nome Cognome: Giovanni Santostefano
Slackware: 12.2
Kernel: 2.6.27.7-smp
Desktop: Fluxbox

Re: Slackyd - Slacky downloader

Messaggioda Dani » mer apr 01, 2009 1:28

danix ha scritto:già che ci sono ti dico anche questa, ieri stavo scaricando wxcam per la 12.2 e mentre mi diceva di quali dipendenze ha bisogno mi ha lanciato un warning riguardante mjpegtools, solo che non l'ha scaricato, gliel'ho dovuto fare scaricare a parte... chissà come mai... :-k

Perchè wxcam è stato compilato con la versione rc di mjpegtools :roll:

blizzard ha scritto:è così giusto?

Direi di si :)
Dani
Linux 3.x
Linux 3.x
 
Messaggi: 1447
Iscritto il: mer apr 26, 2006 0:52
Desktop: gnome
Distribuzione: arch

Re: Slackyd - Slacky downloader

Messaggioda Dani » dom lug 12, 2009 2:28

Dopo un po' di tempo ho ripreso lo sviluppo del tool :oops:
Ho sistemato quel noiso problema che riguardava l'OR delle dipendenze, aggiunto il supporto per i txz e la possibilità di settare nel file di configurazione una cache diversa da quella predefinita. Risolto anche il problema evidenziato nelle pagine precedenti da danix riguardante i mirror che usano porte non standard.
C'è ancora altro da aggiungere nella prossima versione e soprattutto c'è bisogno di testare le ultime modifiche. Se qualcuno volesse aiutarmi la patch è qui http://www.slacky.eu/~dani/slackyd/slac ... 3pre2.diff
Dani
Linux 3.x
Linux 3.x
 
Messaggi: 1447
Iscritto il: mer apr 26, 2006 0:52
Desktop: gnome
Distribuzione: arch

Re: Slackyd - Slacky downloader

Messaggioda Dani » lun lug 13, 2009 19:09

Sono passato a slackware current ed ho notato che il nuovo formato dei pacchetti impediva il corretto funzionamento di alcune funzioni di slackyd (ricerca dei pacchetti non ufficiali/obsoleti e ricerca delle librerie mancanti). Quindi ho aggiornato la patch, ora sembra andare tutto !
http://www.slacky.eu/~dani/slackyd/slac ... 3pre3.diff
Dani
Linux 3.x
Linux 3.x
 
Messaggi: 1447
Iscritto il: mer apr 26, 2006 0:52
Desktop: gnome
Distribuzione: arch

Re: Slackyd - Slacky downloader

Messaggioda Dani » sab lug 18, 2009 4:35

Rilasciato slackyd 0.1.13 !
Aggiunta una nuova funzione (-r) per sostituire i pacchetti non ufficiali con quelli slackware, se possibile.
:salute:
Dani
Linux 3.x
Linux 3.x
 
Messaggi: 1447
Iscritto il: mer apr 26, 2006 0:52
Desktop: gnome
Distribuzione: arch

Re: Slackyd - Slacky downloader

Messaggioda anycolouryoulike » sab lug 18, 2009 20:57

Grazie per il tuo lavoro!
Ma c'è un opzione per impedire che vengano aggiornati i pacchetti ufficiali, un opzione per i pacchettizzatori insomma (magari da aggiungere al file di configurazione)?
Comunque provando ad aggiornare il pacchetto, non so se devo applicare la patch "slackyd-0.1.12-checksumfix": è ancora necessaria?
Grazie ancora :)
Avatar utente
anycolouryoulike
Packager
Packager
 
Messaggi: 1158
Iscritto il: gio ago 09, 2007 23:00
Slackware: 12.2
Kernel: 2.6.34.8
Desktop: KDE 3.5.10

Re: Slackyd - Slacky downloader

Messaggioda Dani » dom lug 19, 2009 23:22

anycolouryoulike ha scritto:Ma c'è un opzione per impedire che vengano aggiornati i pacchetti ufficiali, un opzione per i pacchettizzatori insomma (magari da aggiungere al file di configurazione)?

No se ne parlava tempo fa ma ancora questa feature non è stata aggiunta. Penso di scrivere le modifiche prossimamente.
Comunque, l'opzione di cui parli dovrebbe riguardare anche la risoluzione delle dipendenze ? In pratica se c'è da aggiornare un pacchetto non slackware ed esso richiede l'aggiornamento di un pacchetto slackware, che si fa ?

Comunque provando ad aggiornare il pacchetto, non so se devo applicare la patch "slackyd-0.1.12-checksumfix": è ancora necessaria?
Grazie ancora :)

No non piu' :thumbright:
Dani
Linux 3.x
Linux 3.x
 
Messaggi: 1447
Iscritto il: mer apr 26, 2006 0:52
Desktop: gnome
Distribuzione: arch

Re: Slackyd - Slacky downloader

Messaggioda anycolouryoulike » lun lug 20, 2009 18:11

Dani ha scritto:Comunque, l'opzione di cui parli dovrebbe riguardare anche la risoluzione delle dipendenze ? In pratica se c'è da aggiornare un pacchetto non slackware ed esso richiede l'aggiornamento di un pacchetto slackware, che si fa ?
Si potrebbero prima visualizzare questi altri aggiornamenti, quindi chiedere all'utente se proseguire con l'aggiornamento del primo, e in caso di risposta negativa chiedere all'utente se desidera che il pacchetto non ufficiale venga blacklistato.
Avatar utente
anycolouryoulike
Packager
Packager
 
Messaggi: 1158
Iscritto il: gio ago 09, 2007 23:00
Slackware: 12.2
Kernel: 2.6.34.8
Desktop: KDE 3.5.10

Re: Slackyd - Slacky downloader

Messaggioda Dani » mer lug 22, 2009 2:35

Ecco la patch per slackyd 0.1.13.2
In pratica aggiunge soltanto al file di configurazione l'opzione "upgrade_replacing_official" da settare a "no" se non si vogliono sostituire i pacchetti slackware con quelli non ufficiali durante (e solo durante) un upgrade, quindi il discorso sulle dipendenze resta ancora aperto. 8-[

ps: la uppo direttamente sul forum perchè non riesco a loggarmi sullo spazio ftp.
Allegati
slackyd-0.1.13.2.txt
(12.47 KiB) Scaricato 16 volte
Dani
Linux 3.x
Linux 3.x
 
Messaggi: 1447
Iscritto il: mer apr 26, 2006 0:52
Desktop: gnome
Distribuzione: arch

Re: Slackyd - Slacky downloader

Messaggioda anycolouryoulike » mer lug 22, 2009 15:35

Perfetto, ho aggiornato anche il pacchetto.
Grazie!
Avatar utente
anycolouryoulike
Packager
Packager
 
Messaggi: 1158
Iscritto il: gio ago 09, 2007 23:00
Slackware: 12.2
Kernel: 2.6.34.8
Desktop: KDE 3.5.10

Re: Slackyd - Slacky downloader

Messaggioda anycolouryoulike » mer lug 22, 2009 15:49

Questo però non dovrebbe succedere vero?
Codice: Seleziona tutto
Upgrade slackyd-0.1.13.2beta-i486-1mch to:
        slackyd-0.1.13beta-i486-1mch.tgz [from slacky] ? [y/N]
Avatar utente
anycolouryoulike
Packager
Packager
 
Messaggi: 1158
Iscritto il: gio ago 09, 2007 23:00
Slackware: 12.2
Kernel: 2.6.34.8
Desktop: KDE 3.5.10

PrecedenteProssimo

Torna a Programmazione

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite

cron